package com.convenient.android.common.base.viewbinding

import android.os.Bundle
import android.view.LayoutInflater
import androidx.viewbinding.ViewBinding
import com.convenient.android.common.base.view.BaseActivity

/**
 * @classname:BaseBindingActivity
 * @author: LiuXiaoLong
 * @date: 2022-07-27 PM
 * description:
 */
abstract class BaseBindingActivity<VB : ViewBinding>(private val inflate: (LayoutInflater) -> VB) : BaseActivity() {

    lateinit var binding: VB

    override fun onCreate(savedInstanceState: Bundle?) {
        binding = inflate(layoutInflater)
        setContentView(binding.root)
        super.onCreate(savedInstanceState)
    }
}